Subject: [os2genau_digest] No. 1316
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 26 Jun 2006 00:00:28 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 25 June 2006
 Number  1316
**************************************************

Subjects for today
 
1  Re:  Printer installation : Leigh Bunting <vh_gdn at internode.on dot net>
2  Re:  Printer installation : Leigh Bunting <vh_gdn at internode.on dot net>

**= Email   1 ==========================**

Date:  Thu, 22 Jun 2006 21:45:38 +0930
From:  Leigh Bunting <vh_gdn at internode.on dot net>
Subject:  Re:  Printer installation

Hi Ed,

eCS 1.15

Ed Durrant wrote:

> Is this eCS or OS/2 Warp 4 ?

-- 
Leigh Bunting
Colonel Light Gardens
South Australia
<Open Windows and let the bugs in>

----------------------------------------------------------------------------------
 
**= Email   2 ==========================**

Date:  Thu, 22 Jun 2006 22:08:16 +0930
From:  Leigh Bunting <vh_gdn at internode.on dot net>
Subject:  Re:  Printer installation

Chuck McKinnis wrote:

> As the author of the eCS Install Local Printer routine, I can verify 
> that it is a disaster.  It used some old IBM code that was almost 
> impossible to make work correctly with current printers, ports, and 
> drivers.
>
> The updated eCS Printer Install routine (inst_prt.zip) can be 
> downloaded from www.ecomstation dot com.

Thanks Chuck, that worked. More in a minute.

It seems that the original attempt at installation worked but did not 
create any printer icon, as using Chuck's suggestion said that the files 
had already been installed.

However the instructions in the file were a bit puzzling to this old fart.

I assumed the 'EC' in instruction 3 were not supposed to be there.  
Instruction 5 left me scratching my head, as the 'ecsins3.sgs' file did 
not exist, so I ignored it. There was one called 'ecslns3.sgs', though. 
Perhaps Chuck could explain what I was supposed to do with this instruction.

Not that it really matters, I suppose, as the printer now is 
operational. It is a HP Deskjet 610C that I was given, sans power 
supply. This item, I conveniently found at a computer flea market last 
weekend, after parting with $A5. When fired up, it refused to load paper 
and the print heads made some funny clunking noises as they traversed. 
Some percussive maintenance of the paper drive mechanism seems to have 
resolved that issue.
----------------------------------------------
Manual installation:

1. Unzip the inst_prt.zip file to a work directory.
2. Create <boot_drive>:\ecs\system\sguide if it does not exist.
3. Copy the ecsprint.exe to 
<boot_drive>:\ecs\system\*EC*sguide\ecsprint.exe.
4. Update the Install Local Printer object in the Printers folder to 
execute <boot_drive>:\ecs\system\sguide\ecsprint.exe and remove any 
parameters or working directory.
5. Update <boot_drive>:\ecs\system\sguide\nls\<lang>\ecsins3.sgs (if it 
exists) by replacing "start sguide.exe 
<boot_drive>:\ecs\system\sguide\nls\de\printer.sgs" with "start 
ecsprint.exe"
------------------------------------------------
So after many years, the originally 2nd-hand Canon BJ4200 might have to 
be retired.

Thanks for everyone's help.

-- 
Leigh Bunting
Colonel Light Gardens
South Australia
<Open Windows and let the bugs in>

----------------------------------------------------------------------------------